| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::MessagePart Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QDBusVariant >.

## Public Member Functions

| MessagePart ()
| MessagePart (const QMap< QString, QDBusVariant > &a)
MessagePart & | operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

## Constructor & Destructor Documentation

Tp::MessagePart::MessagePart | ( |  | ) |

inline

Tp::MessagePart::MessagePart | ( | const QMap< QString, QDBusVariant > & | a | ) |

inline

## Member Function Documentation

MessagePart& Tp::MessagePart::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) |

inline